Download OpenAPI specification:
Soracom API v1
Retrieve audit logs for Soracom API calls.
| api_kind | string Filter item for audit log retrieval by API kind (e.g. |
| from_epoch_ms | integer Start time for the log search range (unixtime milliseconds). |
| to_epoch_ms | integer End time for the log search range (unixtime milliseconds). |
| limit | integer [ 1 .. 1000 ] Maximum number of log entries to retrieve (value range is 1 to 1000). |
| last_evaluated_key | string The value of |
[- {
- "apiKind": "/v1/bills",
- "operatorId": "OPXXXXXXXXXX",
- "remoteIpAddress": "xxx.xxx.xxx.xxx",
- "requestPath": "/v1/bills",
- "requestedTimeEpocMs": 1234567890123,
- "statusCode": 200,
- "userName": "SORACOMAPI"
}
]Retrieve audit logs for Soracom Napter.
| resource_type | string Value: "Subscriber" Type of the target resource to query log entries. |
| resource_id | string Identity of the target resource to query log entries. |
| from | integer Start time for the log search range (unixtime milliseconds). |
| to | integer End time for the log search range (unixtime milliseconds). |
| limit | integer [ 1 .. 1000 ] Maximum number of log entries to retrieve (value range is 1 to 1000). |
| last_evaluated_key | string The value of |
[- {
- "connectionId": "12345678-abcd-1234-abcd-123456789010",
- "createdAt": 1234567890123,
- "direction": {
- "destinationIPAddress": "xxx.xxx.xxx.xxx",
- "destinationPort": 22,
- "sourceIPAddress": "xxx.xxx.xxx.xxx",
- "sourcePort": 51720
}, - "imsi": "123456789012345",
- "operatorId": "OPXXXXXXXXXX",
- "tls": false,
- "type": "CLOSED"
}, - {
- "connectionId": "12345678-abcd-1234-abcd-123456789011",
- "createdAt": 1234567890123,
- "direction": {
- "destinationIPAddress": "xxx.xxx.xxx.xxx",
- "destinationPort": 22,
- "sourceIPAddress": "xxx.xxx.xxx.xxx",
- "sourcePort": 51720
}, - "imsi": "234567890123456",
- "operatorId": "OPXXXXXXXXXX",
- "tls": false,
- "type": "EXPIRED"
}
]Executes a SQL query asynchronously. You can check the status of a SQL query execution with the Analysis:getAnalysisQueries API.
A SQL query execution request.
| from | integer Start of the period to apply the SQL query (UNIX time (seconds)). |
| sql | string A SQL query. |
| to | integer End of the period to apply the SQL query (UNIX time (seconds)). |
{- "from": 1743465600,
- "sql": "SELECT * FROM SIM_SESSION_EVENTS LIMIT 10",
- "to": 1743552000
}{- "queryId": "ffa91d0c371d45c4bf53d55ab5c14955"
}Retrieve the execution status of a SQL query.
| query_id required | string SQL query ID. |
{- "columnInfo": [
- {
- "databaseType": "FIXED",
- "name": "ICCID",
- "type": "string"
}, - {
- "databaseType": "TEXT",
- "name": "IMEI",
- "type": "string"
}, - {
- "databaseType": "NUMBER",
- "name": "IMSI",
- "type": "number"
}
], - "fileSize": 12345678,
- "rowCount": 12345,
- "status": "COMPLETED",
}Retrieves the available schemas and their column information within the database. You can use this information as a reference when converting data types of data retrieved with the Analysis:startAnalysisQueries API.
Example: If the column type is string as shown below, it can be treated as a string.
{
"name": "SIM_SESSION_EVENTS",
"columnInfo": [
{
"name": "APN",
"type": "string",
"databaseType": "TEXT",
"description": "Access Point Name indicating the network gateway for the SIM session."
}
]
}
[- {
- "columnInfo": [
- {
- "databaseType": "TEXT",
- "description": "Access Point Name indicating the network gateway for the SIM session.",
- "name": "APN",
- "type": "string"
}, - {
- "databaseType": "TEXT",
- "description": "The primary DNS server IP address used during the SIM session.",
- "name": "DNS0",
- "type": "string"
}, - {
- "databaseType": "TEXT",
- "description": "The secondary DNS server IP address used during the SIM session.",
- "name": "DNS1",
- "type": "string"
}, - {
- "databaseType": "TEXT",
- "description": "Describes the type of event associated with the SIM session, such as Created, Deleted, or Updated.",
- "name": "EVENT",
- "type": "string"
}, - {
- "databaseType": "TEXT",
- "description": "Home Public Land Mobile Network code that identifies the home network operator.",
- "name": "HPLMN",
- "type": "string"
}, - {
- "databaseType": "TEXT",
- "description": "The Integrated Circuit Card Identifier, a unique number assigned to the SIM card.",
- "name": "ICCID",
- "type": "string"
}
], - "name": "SIM_SESSION_EVENTS"
}
]Performs authentication to access to the Soracom API. Please include the following information in your request.
email and password.authKeyId and authKey.operatorId, userName and password.An API key and API token will be included in the response if successful. Use the API key and API token to perform subsequent requests.
Authentication request.
| authKey | string |
| authKeyId | string |
string | |
| mfaOTPCode | string |
| operatorId | string |
| password | string |
| tokenTimeoutSeconds | integer <int64> <= 172800 Default: 86400 |
| userName | string |
{- "operatorId": "OPXXXXXXXXXX",
- "password": "p@$$w0rd",
- "userName": "SORACOMAPI"
}{- "apiKey": "api-abcde123-45fg-hij6-7890-klmno12345pq",
- "operatorId": "OPXXXXXXXXXX",
- "token": "abcde12345fghij67890klmno12345pqrst67890uvwxy12345abcde67890fghi...",
- "userName": "SORACOMAPI"
}Revokes the API key and API token that was used to call this API. Once revoked, the API key and API token cannot be used to make further requests to the API, regardless of the key and token's original expiration time. This API can be called regardless of any permission settings.
Generates a password reset token and sends it to the operator's primary email address. After receiving the password reset token, call /v1/auth/password_reset_token/verify API with the token to update the operator's password.
email address
| email required | string |
{- "email": "soracomapi@example.com"
}Updates the operator's password if the password reset token is verified.
token, password
| password required | string |
| token required | string |
{- "password": "p@$$w0rd",
- "token": "abcde12345fghij67890klmno12345pqrst67890uvwxy12345abcde67890fghi..."
}Using the API key and API token of the original user, call this API to issue an API key and API token of the target user that you are switching to. The original user should already be registered in the target user's trust policy. See User:updateUserTrustPolicy for information on updating the trust policy.
Specify the user to switch to and the validity period of the API token to be issued.
| operatorId | string Operator ID to be switched to. |
| tokenTimeoutSeconds | integer [ 180 .. 3600 ] Default: 3600 API key and API token validity period (in seconds) for the switched user. The default is 3600 seconds (1 hour). The minimum and maximum values are also shown below.
|
| userName | string The SAM user name of the specified operator ID to be switched to. |
{- "operatorId": "string",
- "tokenTimeoutSeconds": 3600,
- "userName": "string"
}{- "apiKey": "api-abcde123-45fg-hij6-7890-klmno12345pq",
- "operatorId": "OPXXXXXXXXXX",
- "token": "abcde12345fghij67890klmno12345pqrst67890uvwxy12345abcde67890fghi...",
- "userName": "SORACOMAPI"
}Gets a list of finalized past billing history.
Warning: The maximum information you can get is for the last 18 months. If you need the information before that time, please contact Soracom Support.
{- "billList": [
- {
- "amount": 28734,
- "paymentStatus": "paid",
- "paymentTransactionId": "12345678901234567_xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
- "state": "closed",
- "yearMonth": "202208"
}, - {
- "amount": 27075,
- "paymentStatus": "paid",
- "paymentTransactionId": "12345678901234567_xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
- "state": "closed",
- "yearMonth": "202207"
}
]
}Gets a finalized past billing history for the specified month. If you specify current month (the month in which the usage fee has not yet been finalized), you will get the preliminary value.
Warning: The maximum information you can get is for the last 18 months. If you need the information before that time, please contact Soracom Support.
| yyyyMM required | string Target year and month |
{- "amount": 28734,
- "currency": "JPY",
- "paymentStatus": "paid",
- "paymentTransactionId": "12345678901234567_xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
- "state": "closed",
- "yearMonth": "202208"
}Gets a daily bill for the specified month. Fees charged on a monthly basis cannot be retrieved. If you specify current month (a month for which the fee has not yet been finalized), a preliminary value will be returned.
Warning: The maximum information you can get is for the last 18 months. If you need the information before that time, please contact Soracom Support.
| yyyyMM required | string Target year and month |
{- "billList": [
- {
- "amount": 285,
- "currency": "JPY",
- "date": "20220902"
}, - {
- "amount": 580,
- "currency": "JPY",
- "date": "20220901"
}
]
}Export historical Detailed billing CSV to dedicated storage and issue URL to download.
Warning: The maximum information you can get is for the last 18 months. If you need the information before that time, please contact Soracom Support.
| yyyyMM required | string Target year and month |
| export_mode | string Enum: "async" "sync" Specify how to get the URL to download the billing details CSV.
|
{- "exportedFileId": "fe_xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
- "exportedFilePath": "//files/exported/fe_xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}Retrieves the preliminary usage fee for the current month (the month in which the usage fee has not yet been finalized).
{- "amount": 0.1,
- "currency": "JPY",
- "lastEvaluatedTime": "yyyyMMddHHmmss"
}Export Detailed Billing CSV for current month (the month in which the usage fee has not yet been finalized) to dedicated storage and issue a URL to download it. The fees will be finalized by the second business day of the following month. The Detailed billing CSV exported using this API will output preliminary values.
| export_mode | string Enum: "async" "sync" Specify how to get the URL to download the billing details CSV.
|
{- "exportedFileId": "fe_xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
- "exportedFilePath": "//files/exported/fe_xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}Get a billing summary of bill items for the last 4 months (this month to 3 months ago). Sorted by date from newest to oldest.
The summary you can get from this API is equivalent to the usage fees displayed in the [COSTS BY SERVICE] panel of the Billing Dashboard. For more information, please refer to Billing Information.
[- {
- "costBreakdownList": [
- {
- "amount": 0.1,
- "billItemCategory": "string",
- "billItemName": "string"
}
], - "currency": "JPY",
- "updatedTime": 0,
- "yearMonth": "string"
}
]Get a billing summary of SIMs for the last 4 months (current month to 3 months ago). Sorted by date from newest to oldest.
The summary you get from this API is equivalent to the rates displayed in the [COSTS PER SIM (TOP 100)] panel of the Rates Dashboard. For more information, please refer to Billing Information.
[- {
- "costBreakdownList": [
- {
- "amount": 0.1,
- "simId": "string"
}
], - "currency": "JPY",
- "updatedTime": 0,
- "yearMonth": "string"
}
]Retrieves location information (latitude/longitude) for a cell tower based on cell information such as Cell ID.
For 3G, please specify MCC, MNC, LAC, and CID. It is possible to retrieve approximate location information without CID, but the accuracy will be low.
3G example
$ curl -X GET "https://api.soracom.io/v1/cell_locations?mcc=440&mnc=10&lac=196" \
-H "X-Soracom-API-Key: $X_SORACOM_API_KEY" \
-H "X-Soracom-Token: $X_SORACOM_TOKEN"
For LTE (4G), please specify MCC, MNC, TAC, and ECID.
4G example
$ curl -X GET "https://api.soracom.io/v1/cell_locations?mcc=440&mnc=10&tac=5680&ecid=48872466" \
-H "X-Soracom-API-Key: $X_SORACOM_API_KEY" \
-H "X-Soracom-Token: $X_SORACOM_TOKEN"
The conversion of cell tower information to location information uses the OpenCelliD Project database. The specified cell tower information is used to extract the corresponding location information from the OpenCelliD Project database, but it is possible that the location information may not exist or may be different from the actual location.
OpenCelliD Project is licensed under a Creative Commons Attribution-ShareAlike 4.0 International License
| mcc required | string Example: mcc=440 MCC - Mobile Country Code. |
| mnc required | string Example: mnc=10 MNC - Mobile Network Code. |
| lac | string LAC - Location Area Code (for 3G). |
| cid | string CID - Cell ID (for 3G). |
| tac | string Example: tac=5680 TAC - Tracking Area Code (for 4G). |
| ecid | string Example: ecid=48872466 ECID - Enhanced Cell ID (for 4G) - specify either |
| eci | string ECID - Enhanced Cell ID (for 4G) - specify either |
{- "avg_strength": 0,
- "created": "2022-01-01T00:00:00.000Z",
- "exact": 0,
- "lat": 35.7119449,
- "lon": 139.813642,
- "range": 476,
- "samples": 7,
- "updated": "2022-01-01T00:00:00:000Z"
}Retrieves a list of location information (latitude/longitude) for multiple cell towers based on cell information such as Cell ID. For 3G, please specify MCC, MNC, LAC, and CID. It is possible to retrieve approximate location information without CID, but the accuracy will be low. For LTE (4G), please specify MCC, MNC, TAC, and ECID. The conversion of cell tower information to location information uses the OpenCelliD Project database, so it is possible that the information may not exist or may be incorrect.
OpenCelliD Project is licensed under a Creative Commons Attribution-ShareAlike 4.0 International License
List of cell identifiers.
| cid | string |
| eci | string |
| ecid | string |
| identifier | string An identifier to link a request to the result of that request. Optional. |
| lac | string |
| mcc | string |
| mnc | string |
| tac | string |
[- {
- "cid": "68485165",
- "identifier": "test001",
- "lac": "195",
- "mcc": "440",
- "mnc": "10"
}, - {
- "ecid": "44668480",
- "identifier": "test002",
- "mcc": "440",
- "mnc": "10",
- "tac": "5840"
}
][- {
- "avg_strength": 0,
- "created": "2022-01-01T00:00:00.000Z",
- "exact": 0,
- "identifier": "test001",
- "lat": 35.6814383,
- "lon": 139.7665133,
- "range": 0,
- "samples": 1,
- "updated": "2022-01-01T00:00:00:000Z"
}, - {
- "avg_strength": 0,
- "created": "2022-01-01T00:00:00.000Z",
- "exact": 0,
- "identifier": "test002",
- "lat": 35.7119449,
- "lon": 139.813642,
- "range": 476,
- "samples": 7,
- "updated": "2022-01-01T00:00:00:000Z"
}
]Returns a list of currently registered coupons.
{- "couponList": [
- {
- "amount": 0.1,
- "balance": 0.1,
- "billItemName": "string",
- "couponCode": "string",
- "currency": "JPY",
- "expiryYearMonth": "string",
- "orderId": "string"
}
]
}Registers a coupon.
| coupon_code required | string Coupon code. |
{- "amount": 0.1,
- "balance": 0.1,
- "billItemName": "string",
- "couponCode": "string",
- "currency": "JPY",
- "expiryYearMonth": "string",
- "orderId": "string"
}Returns result of a payment transaction.
Warning: The maximum information you can get is for the last 18 months. If you need the information before that time, please contact Soracom Support.
| payment_transaction_id required | string Payment transaction ID. It can be obtained via Billing:getBillingHistory API or Billing:getBilling API. |
{- "amount": {
- "currency": "JPY",
- "paymentAmount": 0,
- "subTotalAmount": 0,
- "taxAmount": 0.1,
- "taxFreeSubTotalAmount": 0.1,
- "taxRate": { },
- "taxableSubTotalAmount": 0.1,
- "totalAmount": 0.1,
- "withholdingTaxAmount": 0.1
}, - "description": {
- "description": "string",
- "itemList": [
- "string"
]
}, - "message": "string",
- "messageCode": "success",
- "status": "success"
}Returns current payment methods. Detailed information is included in the properties.
{- "errorCode": "success",
- "errorMessage": "string",
- "properties": "string",
- "providerType": "WebPay",
- "updateDate": "yyyyMMddHHmmss"
}List payment statements.
Warning: The maximum information you can get is for the last 18 months. If you need the information before that time, please contact Soracom Support.
{- "paymentStatementsList": [
- {
- "amount": 0.1,
- "chargedYearMonths": [
- "string"
], - "currency": "JPY",
- "orderId": "string",
- "paymentDateTime": 0,
- "paymentInstrument": "string",
- "paymentMethod": "string",
- "paymentStatementId": "string",
- "paymentStatementInfo": "string"
}
]
}Export payment statement.
Warning: The maximum information you can get is for the last 18 months. If you need the information before that time, please contact Soracom Support.
| payment_statement_id required | string Payment statement ID |
| export_mode | string Enum: "async" "sync" Export mode (async, sync) |
{- "exportedFileId": "string",
- "exportedFilePath": "string",
- "url": "string"
}Register payer information.
Payer information to be registered in the accounting specification.
| companyName | string Company name |
| department | string Department. |
| fullName | string Full name. |
{- "companyName": "string",
- "department": "string",
- "fullName": "string"
}Returns a list of contracted long term discounts.
Warning: Information can be obtained up to 18 months in the past or 6 months after the contract ends. If you need the information before that time, please contact Soracom Support.
{- "volumeDiscountList": [
- {
- "contractDateTime": "yyyyMMddHHmmss",
- "contractId": "string",
- "contractTermMonth": 12,
- "currency": "JPY",
- "endDate": "yyyyMMdd",
- "initialCost": 0.1,
- "quantity": 0,
- "startDate": "yyyyMMdd",
- "status": "active",
- "unitPrice": 0.1,
- "volumeDiscountPaymentType": "MONTHLY",
- "volumeDiscountType": "SORACOM_AIR_BASIC_CHARGE_V2"
}
]
}Returns contracted long term discount.
Warning: Information can be obtained up to 18 months in the past or 6 months after the contract ends. If you need the information before that time, please contact Soracom Support.
| contract_id required | string Contract ID. |
{- "contractDateTime": "yyyyMMddHHmmss",
- "contractId": "string",
- "contractTermMonth": 12,
- "currency": "JPY",
- "endDate": "yyyyMMdd",
- "initialCost": 0.1,
- "quantity": 0,
- "startDate": "yyyyMMdd",
- "status": "active",
- "unitPrice": 0.1,
- "volumeDiscountPaymentType": "MONTHLY",
- "volumeDiscountType": "SORACOM_AIR_BASIC_CHARGE_V2"
}Creates a new coupon quotation. If the orderId is put in /coupons/{order_id}/confirm, the order is complete.
Coupon details.
| amount required | number <double> Amount. |
{- "amount": 0.1
}{- "amount": 0.1,
- "currency": "JPY",
- "expiryYearMonth": "string",
- "orderId": "string",
- "taxAmount": 0.1,
- "totalAmount": 0.1
}Performs a credit limit and confirms the order if no problems are encountered.
| order_id required | string Order ID. You can get it by calling Order:createCouponQuotation API. |
{- "amount": 0.1,
- "balance": 0.1,
- "billItemName": "string",
- "couponCode": "string",
- "currency": "JPY",
- "expiryYearMonth": "string",
- "orderId": "string"
}Get a list of confirmed order history.
Warning: The maximum information you can get is for the last 18 months. If you need the information before that time, please contact Soracom Support.
{- "orderList": [
- {
- "appliedShippingOptions": [
- { }
], - "balanceDue": 0.1,
- "containsTaxIncludedAmounts": true,
- "currency": "JPY",
- "email": "string",
- "orderChannel": "string",
- "orderDateTime": "string",
- "orderId": "string",
- "orderItemList": [
- {
- "product": {
- "campaignCode": "string",
- "consignorId": "string",
- "consignorName": "string",
- "count": 0.1,
- "currency": "JPY",
- "description": "string",
- "maxQuantity": 0,
- "price": 0.1,
- "priceByQuantityList": [
- {
- "minQuantity": 0,
- "price": 0.1,
- "taxIncludedPrice": 0.1
}
], - "productCode": "string",
- "productInfoURL": "string",
- "productName": "string",
- "productType": "sim",
- "properties": {
- "property1": "string",
- "property2": "string"
}, - "regularPrice": 0.1,
- "taxIncludedPrice": 0.1,
- "taxIncludedRegularPrice": 0.1,
- "termsOfConsignorURL": "string",
- "termsOfSolutionName": "string",
- "termsOfSolutionURL": "string"
}, - "productAmount": 0.1,
- "quantity": 0,
- "taxIncludedProductAmount": 0
}
], - "orderStatus": "orderProcessing",
- "paymentStatus": "lessThanMinimumCharge",
- "preferredDeliveryDate": "string",
- "purchaseOrderNumber": "string",
- "resourceInitialSetting": {
- "simInitialSettings": {
- "plan01s": {
- "groupId": "00000000-1111-2222-3333-444444444444",
- "speedClass": "s1.4xfast",
- "tags": {
- "date": 20221111,
- "location": "headquarters"
}
}
}
}, - "shippingAddress": {
- "addressLine1": "string",
- "addressLine2": "string",
- "building": "string",
- "city": "string",
- "companyName": "string",
- "countryCode": "string",
- "department": "string",
- "email": "string",
- "fullName": "string",
- "phoneNumber": "string",
- "state": "string",
- "zipCode": "string"
}, - "shippingAddressId": "string",
- "shippingCost": 0.1,
- "shippingDateTime": 20231004123456,
- "shippingLabelDetails": [
- {
- "shipmentCompany": "Yamato Transport",
- "trackingNumber": "0000-1111-2222",
}
], - "shippingLabelNumber": "0000-1111-2222",
- "shippingLabelNumbers": [
- "0000-1111-2222"
], - "taxAmount": 0.1,
- "taxIncludedInShippingCost": 0.1,
- "taxOnShippingCost": true,
- "totalAmount": 0.1,
- "withholdingTaxAmount": 0.1
}
]
}Creates a new order quotation. If the orderId is put in /orders/{order_id}/confirm, the order is complete.
Order item list and shipping address ID.
Array of objects (OrderItemModel) Order item list. | |
| preferredDeliveryDate | string <yyyyMMdd> Preferred delivery date. |
| shippingAddressId | string Shipping address ID. |
Array of ShippingOptionOfNekopos (object) or ShippingOptionOfExpeditedShipping (object) Shipping options. |
{- "orderItemList": [
- {
- "productCode": "string",
- "quantity": 0
}
], - "preferredDeliveryDate": "string",
- "shippingAddressId": "string",
- "shippingOptions": [
- {
- "allowNekopos": true,
- "shipmentCompany": "yamato_transport"
}
]
}{- "appliedShippingOptions": [
- {
- "allowNekopos": true,
- "shipmentCompany": "yamato_transport"
}
], - "balanceDue": 0.1,
- "containsTaxIncludedAmounts": true,
- "currency": "JPY",
- "email": "string",
- "orderChannel": "string",
- "orderId": "string",
- "orderItemList": [
- {
- "product": {
- "campaignCode": "string",
- "consignorId": "string",
- "consignorName": "string",
- "count": 0.1,
- "currency": "JPY",
- "description": "string",
- "maxQuantity": 0,
- "price": 0.1,
- "priceByQuantityList": [
- {
- "minQuantity": 0,
- "price": 0.1,
- "taxIncludedPrice": 0.1
}
], - "productCode": "string",
- "productInfoURL": "string",
- "productName": "string",
- "productType": "sim",
- "properties": {
- "property1": "string",
- "property2": "string"
}, - "regularPrice": 0.1,
- "taxIncludedPrice": 0.1,
- "taxIncludedRegularPrice": 0.1,
- "termsOfConsignorURL": "string",
- "termsOfSolutionName": "string",
- "termsOfSolutionURL": "string"
}, - "productAmount": 0.1,
- "quantity": 0,
- "taxIncludedProductAmount": 0
}
], - "preferredDeliveryDate": "string",
- "purchaseOrderNumber": "string",
- "shippingAddress": {
- "addressLine1": "string",
- "addressLine2": "string",
- "building": "string",
- "city": "string",
- "companyName": "string",
- "countryCode": "string",
- "department": "string",
- "email": "string",
- "fullName": "string",
- "phoneNumber": "string",
- "state": "string",
- "zipCode": "string"
}, - "shippingAddressId": "string",
- "shippingCost": 0.1,
- "taxAmount": 0.1,
- "taxIncludedInShippingCost": 0.1,
- "taxOnShippingCost": true,
- "totalAmount": 0.1,
- "withholdingTaxAmount": 0.1
}Returns a confirmed order.
Warning: The maximum information you can get is for the last 18 months. If you need the information before that time, please contact Soracom Support.
| order_id required | string Order ID. You can get it by calling Order:listOrders API. |
{- "appliedShippingOptions": [
- { }
], - "balanceDue": 0.1,
- "containsTaxIncludedAmounts": true,
- "currency": "JPY",
- "email": "string",
- "orderChannel": "string",
- "orderDateTime": "string",
- "orderId": "string",
- "orderItemList": [
- {
- "product": {
- "campaignCode": "string",
- "consignorId": "string",
- "consignorName": "string",
- "count": 0.1,
- "currency": "JPY",
- "description": "string",
- "maxQuantity": 0,
- "price": 0.1,
- "priceByQuantityList": [
- {
- "minQuantity": 0,
- "price": 0.1,
- "taxIncludedPrice": 0.1
}
], - "productCode": "string",
- "productInfoURL": "string",
- "productName": "string",
- "productType": "sim",
- "properties": {
- "property1": "string",
- "property2": "string"
}, - "regularPrice": 0.1,
- "taxIncludedPrice": 0.1,
- "taxIncludedRegularPrice": 0.1,
- "termsOfConsignorURL": "string",
- "termsOfSolutionName": "string",
- "termsOfSolutionURL": "string"
}, - "productAmount": 0.1,
- "quantity": 0,
- "taxIncludedProductAmount": 0
}
], - "orderStatus": "orderProcessing",
- "paymentStatus": "lessThanMinimumCharge",
- "preferredDeliveryDate": "string",
- "purchaseOrderNumber": "string",
- "resourceInitialSetting": {
- "simInitialSettings": {
- "plan01s": {
- "groupId": "00000000-1111-2222-3333-444444444444",
- "speedClass": "s1.4xfast",
- "tags": {
- "date": 20221111,
- "location": "headquarters"
}
}
}
}, - "shippingAddress": {
- "addressLine1": "string",
- "addressLine2": "string",
- "building": "string",
- "city": "string",
- "companyName": "string",
- "countryCode": "string",
- "department": "string",
- "email": "string",
- "fullName": "string",
- "phoneNumber": "string",
- "state": "string",
- "zipCode": "string"
}, - "shippingAddressId": "string",
- "shippingCost": 0.1,
- "shippingDateTime": 20231004123456,
- "shippingLabelDetails": [
- {
- "shipmentCompany": "Yamato Transport",
- "trackingNumber": "0000-1111-2222",
}
], - "shippingLabelNumber": "0000-1111-2222",
- "shippingLabelNumbers": [
- "0000-1111-2222"
], - "taxAmount": 0.1,
- "taxIncludedInShippingCost": 0.1,
- "taxOnShippingCost": true,
- "totalAmount": 0.1,
- "withholdingTaxAmount": 0.1
}Cancels an order. If the order has already been dispatched, an error is returned.
| order_id required | string Order ID. You can get it by calling Order:listOrders API. |
"string"Performs a credit limit and confirms the order if no problems are encountered.
Warning: Only orders completed within the past month can be confirmed. If one month has elapsed, please redo the order placement operation.
| order_id required | string Order ID. You can get it by calling Order:listOrders API. |
{- "appliedShippingOptions": [
- { }
], - "balanceDue": 0.1,
- "containsTaxIncludedAmounts": true,
- "currency": "JPY",
- "email": "string",
- "orderChannel": "string",
- "orderDateTime": "string",
- "orderId": "string",
- "orderItemList": [
- {
- "product": {
- "campaignCode": "string",
- "consignorId": "string",
- "consignorName": "string",
- "count": 0.1,
- "currency": "JPY",
- "description": "string",
- "maxQuantity": 0,
- "price": 0.1,
- "priceByQuantityList": [
- {
- "minQuantity": 0,
- "price": 0.1,
- "taxIncludedPrice": 0.1
}
], - "productCode": "string",
- "productInfoURL": "string",
- "productName": "string",
- "productType": "sim",
- "properties": {
- "property1": "string",
- "property2": "string"
}, - "regularPrice": 0.1,
- "taxIncludedPrice": 0.1,
- "taxIncludedRegularPrice": 0.1,
- "termsOfConsignorURL": "string",
- "termsOfSolutionName": "string",
- "termsOfSolutionURL": "string"
}, - "productAmount": 0.1,
- "quantity": 0,
- "taxIncludedProductAmount": 0
}
], - "orderStatus": "orderProcessing",
- "paymentStatus": "lessThanMinimumCharge",
- "preferredDeliveryDate": "string",
- "purchaseOrderNumber": "string",
- "resourceInitialSetting": {
- "simInitialSettings": {
- "plan01s": {
- "groupId": "00000000-1111-2222-3333-444444444444",
- "speedClass": "s1.4xfast",
- "tags": {
- "date": 20221111,
- "location": "headquarters"
}
}
}
}, - "shippingAddress": {
- "addressLine1": "string",
- "addressLine2": "string",
- "building": "string",
- "city": "string",
- "companyName": "string",
- "countryCode": "string",
- "department": "string",
- "email": "string",
- "fullName": "string",
- "phoneNumber": "string",
- "state": "string",
- "zipCode": "string"
}, - "shippingAddressId": "string",
- "shippingCost": 0.1,
- "shippingDateTime": 20231004123456,
- "shippingLabelDetails": [
- {
- "shipmentCompany": "Yamato Transport",
- "trackingNumber": "0000-1111-2222",
}
], - "shippingLabelNumber": "0000-1111-2222",
- "shippingLabelNumbers": [
- "0000-1111-2222"
], - "taxAmount": 0.1,
- "taxIncludedInShippingCost": 0.1,
- "taxOnShippingCost": true,
- "totalAmount": 0.1,
- "withholdingTaxAmount": 0.1
}Update resource initial setting for an order.
Warning: Initial settings of IoT SIM cannot be specified after confirmation of receipt.
| order_id required | string Order ID. You can get it by calling Order:listOrders API. |
Resource initial setting for an order.
object Initial setting of SIMs for each subscription. The key specifies a subscription.
|
{- "simInitialSettings": {
- "plan01s": {
- "groupId": "00000000-1111-2222-3333-444444444444",
- "speedClass": "s1.4xfast",
- "tags": {
- "date": 20221111,
- "location": "headquarters"
}
}
}
}{- "appliedShippingOptions": [
- { }
], - "balanceDue": 0.1,
- "containsTaxIncludedAmounts": true,
- "currency": "JPY",
- "email": "string",
- "orderChannel": "string",
- "orderDateTime": "string",
- "orderId": "string",
- "orderItemList": [
- {
- "product": {
- "campaignCode": "string",
- "consignorId": "string",
- "consignorName": "string",
- "count": 0.1,
- "currency": "JPY",
- "description": "string",
- "maxQuantity": 0,
- "price": 0.1,
- "priceByQuantityList": [
- {
- "minQuantity": 0,
- "price": 0.1,
- "taxIncludedPrice": 0.1
}
], - "productCode": "string",
- "productInfoURL": "string",
- "productName": "string",
- "productType": "sim",
- "properties": {
- "property1": "string",
- "property2": "string"
}, - "regularPrice": 0.1,
- "taxIncludedPrice": 0.1,
- "taxIncludedRegularPrice": 0.1,
- "termsOfConsignorURL": "string",
- "termsOfSolutionName": "string",
- "termsOfSolutionURL": "string"
}, - "productAmount": 0.1,
- "quantity": 0,
- "taxIncludedProductAmount": 0
}
], - "orderStatus": "orderProcessing",
- "paymentStatus": "lessThanMinimumCharge",
- "preferredDeliveryDate": "string",
- "purchaseOrderNumber": "string",
- "resourceInitialSetting": {
- "simInitialSettings": {
- "plan01s": {
- "groupId": "00000000-1111-2222-3333-444444444444",
- "speedClass": "s1.4xfast",
- "tags": {
- "date": 20221111,
- "location": "headquarters"
}
}
}
}, - "shippingAddress": {
- "addressLine1": "string",
- "addressLine2": "string",
- "building": "string",
- "city": "string",
- "companyName": "string",
- "countryCode": "string",
- "department": "string",
- "email": "string",
- "fullName": "string",
- "phoneNumber": "string",
- "state": "string",
- "zipCode": "string"
}, - "shippingAddressId": "string",
- "shippingCost": 0.1,
- "shippingDateTime": 20231004123456,
- "shippingLabelDetails": [
- {
- "shipmentCompany": "Yamato Transport",
- "trackingNumber": "0000-1111-2222",
}
], - "shippingLabelNumber": "0000-1111-2222",
- "shippingLabelNumbers": [
- "0000-1111-2222"
], - "taxAmount": 0.1,
- "taxIncludedInShippingCost": 0.1,
- "taxOnShippingCost": true,
- "totalAmount": 0.1,
- "withholdingTaxAmount": 0.1
}List ordered subscribers.
Warning: The maximum information you can get is for the last 18 months. If you need the information before that time, please contact Soracom Support.
| order_id required | string Order ID. You can get it by calling Order:listOrders API. |
| last_evaluated_key | string The value of the |
| limit | integer <int32> Maximum number of subscribers in a response. |
{- "orderedSubscriberList": [
- {
- "bundles": [
- "string"
], - "deviceSerialNumber": "string",
- "eiccid": "string",
- "iccid": "string",
- "imsi": "string",
- "msisdn": "string",
- "serialNumber": "string",
- "simId": "string"
}
]
}Registers the ordered SIM with the operator.
Warning: IoT SIMs can only be registered for the past 18 months. If you need to register an IoT SIM that was ordered before the time period, please contact Soracom Support.
| order_id required | string Order ID. You can get it by calling Order:listOrders API. |
"string"Returns a list of products.
| campaign_code | string |
{- "productList": [
- {
- "campaignCode": "string",
- "consignorId": "string",
- "consignorName": "string",
- "count": 0.1,
- "currency": "JPY",
- "description": "string",
- "maxQuantity": 0,
- "price": 0.1,
- "priceByQuantityList": [
- {
- "minQuantity": 0,
- "price": 0.1,
- "taxIncludedPrice": 0.1
}
], - "productCode": "string",
- "productInfoURL": "string",
- "productName": "string",
- "productType": "sim",
- "properties": {
- "property1": "string",
- "property2": "string"
}, - "regularPrice": 0.1,
- "taxIncludedPrice": 0.1,
- "taxIncludedRegularPrice": 0.1,
- "termsOfConsignorURL": "string",
- "termsOfSolutionName": "string",
- "termsOfSolutionURL": "string"
}
], - "shippingCostList": [
- {
- "appliedShippingOptions": [
- { }
], - "currency": "JPY",
- "shippingArea": "hokkaido",
- "shippingAreaName": "string",
- "shippingCost": 0.1,
- "size": 0
}
]
}Creates a new long term discount quotation. If the orderId is put in /volume_discounts/{order_id}/confirm, the order is complete (Currently, long term discount is only applied to plan-D (without bundle), plan-K).
Long term discount contract details.
| contractTermMonth required | integer <int32> Default: 12 Contract months. |
| quantity required | integer <int32> Quantity. |
| startDate | string Start date. |
| volumeDiscountPaymentType required | string Enum: "MONTHLY" "PREPAYMENT" Payment type. |
| volumeDiscountType required | string Enum: "SORACOM_AIR_BASIC_CHARGE_V2" "SORACOM_AIR_BASIC_CHARGE" "SORACOM_AIR_MONTHLY_FIXED_BASIC_CHARGE" Long term discount type. |
{- "contractTermMonth": 12,
- "quantity": 1,
- "startDate": "20220401",
- "volumeDiscountPaymentType": "MONTHLY",
- "volumeDiscountType": "SORACOM_AIR_BASIC_CHARGE_V2"
}{- "currency": "JPY",
- "orderId": "xxxxxxxxxxxxxx_xxxxxxxx",
- "taxAmount": 0,
- "totalAmount": 0,
- "volumeDiscount": {
- "contractTermMonth": 12,
- "endDate": "20230331",
- "initialCost": 0,
- "quantity": 1,
- "startDate": "20220401",
- "taxIncludedInitialCost": 0,
- "taxIncludedUnitPrice": 302.5,
- "unitPrice": 275,
- "volumeDiscountPaymentType": "MONTHLY",
- "volumeDiscountType": "SORACOM_AIR_BASIC_CHARGE_V2"
}
}Performs a credit check and confirms the order if there are no issues.
| order_id required | string Example: xxxxxxxxxxxxxx_xxxxxxxx Order ID. The order ID can be obtained from the Order:createVolumeDiscountQuotation API. |
{- "contractDateTime": "yyyyMMddHHmmss",
- "contractId": "string",
- "contractTermMonth": 12,
- "currency": "JPY",
- "endDate": "yyyyMMdd",
- "initialCost": 0.1,
- "quantity": 0,
- "startDate": "yyyyMMdd",
- "status": "active",
- "unitPrice": 0.1,
- "volumeDiscountPaymentType": "MONTHLY",
- "volumeDiscountType": "SORACOM_AIR_BASIC_CHARGE_V2"
}Returns a list of available long term discounts.
{- "availableLongTermDiscounts": [
- {
- "contractTermMonth": 12,
- "currency": "JPY",
- "taxIncludedUnitPrice": 0.1,
- "unitPrice": 0.1,
- "volumeDiscountPaymentType": "MONTHLY",
- "volumeDiscountType": "SORACOM_AIR_BASIC_CHARGE_V2"
}
]
}Credentials store Create, update, and delete credentials
[- {
- "createDateTime": 0,
- "credentials": { },
- "credentialsId": "string",
- "description": "string",
- "lastUsedDateTime": 0,
- "type": "api-token-credentials",
- "updateDateTime": 0
}
]Creates a new credential set.
| credentials_id required | string Credential set ID. |
Credential set.
| credentials | object |
| description | string |
| type | string Enum: "aws-credentials" "azure-credentials" "psk" "x509" |
{- "credentials": {
- "token": "sample_token"
}, - "type": "api-token-credentials"
}{- "createDateTime": 0,
- "credentials": { },
- "credentialsId": "string",
- "description": "string",
- "lastUsedDateTime": 0,
- "type": "api-token-credentials",
- "updateDateTime": 0
}Updates a credential set.
| credentials_id required | string Credential set ID. |
Credential set.
| credentials | object |
| description | string |
| type | string Enum: "aws-credentials" "azure-credentials" "psk" "x509" |
{- "credentials": { },
- "description": "string",
- "type": "aws-credentials"
}{- "createDateTime": 0,
- "credentials": { },
- "credentialsId": "string",
- "description": "string",
- "lastUsedDateTime": 0,
- "type": "api-token-credentials",
- "updateDateTime": 0
}Returns a list of data entries sent to Harvest Data from a device that match certain criteria. If the total number of entries does not fit in one page, a URL for accessing the next page is returned in the link header of the response.
| resource_type required | string Enum: "Subscriber" "LoraDevice" "Sim" "SigfoxDevice" "Device" "SoraCam" Type of data source resource. | ||||||||||||||
| resource_id required | string ID of data source resource. The ID to be specified depends on the value of
|
| from | integer Start time for the data entries search range (UNIX time in milliseconds). |
| to | integer End time for the data entries search range (UNIX time in milliseconds). |
| sort | string Default: "desc" Enum: "desc" "asc" Sort order of the data entries. Either descending (latest data entry first) or ascending (oldest data entry first). |
| limit | integer [ 1 .. 1000 ] Maximum number of data entries to retrieve (value range is 1 to 1000). The default is |
| last_evaluated_key | string The value of the |
[- {
- "category": "string",
- "content": "string",
- "contentType": "string",
- "resourceId": "string",
- "resourceType": "Subscriber",
- "time": 0
}
]Deletes a data entry identified with resource ID and timestamp
| resource_type required | string Enum: "Subscriber" "LoraDevice" "Sim" "SigfoxDevice" "Device" "SoraCam" Type of data source resource. | ||||||||||||||
| resource_id required | string ID of data source resource. The ID to be specified depends on the value of
| ||||||||||||||
| time required | integer Timestamp of the target data entry to delete (UNIX time in milliseconds). |
Gets a data entry identified with resource ID and timestamp
| resource_type required | string Enum: "Subscriber" "LoraDevice" "Sim" "SigfoxDevice" "Device" "SoraCam" Type of data source resource. | ||||||||||||||
| resource_id required | string ID of data source resource. The ID to be specified depends on the value of
| ||||||||||||||
| time required | integer Timestamp of the target data entry to get (UNIX time in milliseconds). |
{- "category": "string",
- "content": "string",
- "contentType": "string",
- "resourceId": "string",
- "resourceType": "Subscriber",
- "time": 0
}Returns a list of data entries that belong to a specific category. If the total number of entries does not fit in one page, a URL for accessing the next page is returned in the link header of the response.
| category required | string Name of the category to filter data entries. |
| from | integer Start time for the data entries search range (UNIX time in milliseconds). |
| to | integer End time for the data entries search range (UNIX time in milliseconds). |
| sort | string Default: "desc" Enum: "desc" "asc" Sort order of the data entries. Either descending (latest data entry first) or ascending (oldest data entry first). |
| limit | integer [ 1 .. 1000 ] Maximum number of data entries to retrieve (value range is 1 to 1000). The default is |
| last_evaluated_key | string The value of the |
[- {
- "category": "string",
- "content": "string",
- "contentType": "string",
- "resourceId": "string",
- "resourceType": "Subscriber",
- "time": 0
}
]Returns a list of data source resources that have sent data. If the total number of data source resources does not fit in one page, a URL for accessing the next page is returned in the link header of the response.
| resource_type | string Enum: "Subscriber" "LoraDevice" "Sim" "SigfoxDevice" "Device" "SoraCam" Type of data source resource.
|
| limit | integer Maximum number of data entries to retrieve. |
| last_evaluated_key | string The value of the |
[- {
- "attributeNames": [
- "string"
], - "lastModifiedTime": 0,
- "resourceId": "string",
- "resourceType": "string"
}
]Returns a list of data source resources that have sent data. If the total number of data source resources does not fit in one page, a URL for accessing the next page is returned in the link header of the response.
| resource_type | string Enum: "Subscriber" "LoraDevice" "Sim" "SigfoxDevice" "Device" "SoraCam" Type of data source resource.
|
| limit | integer Maximum number of data entries to retrieve. |
| last_evaluated_key | string The value of the |
[- {
- "attributeNames": [
- "string"
], - "lastModifiedTime": 0,
- "resourceId": "string",
- "resourceType": "string"
}
]Returns a list of device object models
| last_evaluated_key | string ID of the last device object model in the previous page. By specifying this parameter, you can continue to retrieve the list from the next device object models onward. |
| limit | integer <int32> Default: -1 Max number of device object models in a response |
[- {
- "createdTime": "2019-08-24T14:15:22Z",
- "format": "xml",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "objectId": "string",
- "objectName": "string",
- "operatorId": "string",
- "scope": "string"
}
]Creates a new device object model
| createdTime | string <date-time> |
| format | string Enum: "xml" "json" |
| lastModifiedTime | string <date-time> |
| objectId | string |
| objectName | string |
| operatorId | string |
| scope | string |
{- "createdTime": "2019-08-24T14:15:22Z",
- "format": "xml",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "objectId": "string",
- "objectName": "string",
- "operatorId": "string",
- "scope": "string"
}{- "createdTime": "2019-08-24T14:15:22Z",
- "format": "xml",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "objectId": "string",
- "objectName": "string",
- "operatorId": "string",
- "scope": "string"
}Gets a device object model
| model_id required | string Target device object model ID |
{- "createdTime": "2019-08-24T14:15:22Z",
- "format": "xml",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "objectId": "string",
- "objectName": "string",
- "operatorId": "string",
- "scope": "string"
}Updates a device object model
| model_id required | string Target device object model ID |
| createdTime | string <date-time> |
| format | string Enum: "xml" "json" |
| lastModifiedTime | string <date-time> |
| objectId | string |
| objectName | string |
| operatorId | string |
| scope | string |
{- "createdTime": "2019-08-24T14:15:22Z",
- "format": "xml",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "objectId": "string",
- "objectName": "string",
- "operatorId": "string",
- "scope": "string"
}{- "createdTime": "2019-08-24T14:15:22Z",
- "format": "xml",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "objectId": "string",
- "objectName": "string",
- "operatorId": "string",
- "scope": "string"
}Sets scope for a device object model
| model_id required | string Target device object model ID |
Scope value that is applied to the target device object model
| scope | string |
{- "scope": "string"
}{- "createdTime": "2019-08-24T14:15:22Z",
- "format": "xml",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "objectId": "string",
- "objectName": "string",
- "operatorId": "string",
- "scope": "string"
}Returns a list of Devices
| tag_name | string Tag name |
| tag_value | string Tag value |
| tag_value_match_mode | string Tag value match mode (exact | prefix) |
| last_evaluated_key | string ID of the last Device in the previous page. By specifying this parameter, you can continue to retrieve the list from the next device onward. |
| limit | integer <int32> Default: -1 Max number of Devices in a response |
[- {
- "device_id": "string",
- "endpoint": "string",
- "firmwareVersion": "string",
- "groupId": "string",
- "ipAddress": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastRegistrationUpdate": "2019-08-24T14:15:22Z",
- "manufacturer": "string",
- "modelNumber": "string",
- "objects": { },
- "online": false,
- "operatorId": "string",
- "registrationId": "string",
- "registrationLifeTime": 0,
- "serialNumber": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
}
]Creates a new Device
Device to create
| device_id | string |
| endpoint | string |
| firmwareVersion | string |
| groupId | string |
| ipAddress | string |
| lastModifiedTime | string <date-time> |
| lastRegistrationUpdate | string <date-time> |
| manufacturer | string |
| modelNumber | string |
| objects | object |
| online | boolean Default: false |
| operatorId | string |
| registrationId | string |
| registrationLifeTime | integer <int64> |
| serialNumber | string |
object |
{- "device_id": "string",
- "endpoint": "string",
- "firmwareVersion": "string",
- "groupId": "string",
- "ipAddress": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastRegistrationUpdate": "2019-08-24T14:15:22Z",
- "manufacturer": "string",
- "modelNumber": "string",
- "objects": { },
- "online": false,
- "operatorId": "string",
- "registrationId": "string",
- "registrationLifeTime": 0,
- "serialNumber": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
}{- "device_id": "string",
- "endpoint": "string",
- "firmwareVersion": "string",
- "groupId": "string",
- "ipAddress": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastRegistrationUpdate": "2019-08-24T14:15:22Z",
- "manufacturer": "string",
- "modelNumber": "string",
- "objects": { },
- "online": false,
- "operatorId": "string",
- "registrationId": "string",
- "registrationLifeTime": 0,
- "serialNumber": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
}Returns a Device identified by device ID
| device_id required | string Device ID |
| model | boolean Default: false Whether or not to add model information |
{- "device_id": "string",
- "endpoint": "string",
- "firmwareVersion": "string",
- "groupId": "string",
- "ipAddress": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastRegistrationUpdate": "2019-08-24T14:15:22Z",
- "manufacturer": "string",
- "modelNumber": "string",
- "objects": { },
- "online": false,
- "operatorId": "string",
- "registrationId": "string",
- "registrationLifeTime": 0,
- "serialNumber": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
}Get resources under an object instance of a device
| device_id required | string Target device |
| object required | string Object ID |
| instance required | string Instance ID |
| model | boolean Default: false Whether or not to add model information |
{- "id": 0,
- "observed": false,
- "resources": {
- "property1": {
- "description": "string",
- "id": 0,
- "mandatory": false,
- "multiple": false,
- "name": "string",
- "observed": false,
- "operations": "NONE",
- "rangeEnumeration": "string",
- "type": "STRING",
- "units": "string",
- "value": { },
- "values": { }
}, - "property2": {
- "description": "string",
- "id": 0,
- "mandatory": false,
- "multiple": false,
- "name": "string",
- "observed": false,
- "operations": "NONE",
- "rangeEnumeration": "string",
- "type": "STRING",
- "units": "string",
- "value": { },
- "values": { }
}
}
}Get the specified resource of a device
| device_id required | string Target device |
| object required | string Object ID |
| instance required | string Instance ID |
| resource required | string Resource ID |
| model | boolean Default: false Whether or not to add model information |
{- "description": "string",
- "id": 0,
- "mandatory": false,
- "multiple": false,
- "name": "string",
- "observed": false,
- "operations": "NONE",
- "rangeEnumeration": "string",
- "type": "STRING",
- "units": "string",
- "value": { },
- "values": { }
}Write value to a resource of a device
| device_id required | string Target device |
| object required | string Object ID |
| instance required | string Instance ID |
| resource required | string Resource ID |
Value(s) to write to the resource. This value accepts LwM2M basic data types. You have to use the property name values (instead of value) with an array value if the resource model is multiple-mode.
string or number or boolean |
{- "value": "string"
}Executes a resource of a device
| device_id required | string Target device |
| object required | string Object ID |
| instance required | string Instance ID |
| resource required | string Resource ID |
Argument string when executing the resource
| value | string |
{- "value": "string"
}Triggers observation of the specified resource of a device. Once observation is started, the server will be notified when there is a change in value on the device side.
| device_id required | string Target device |
| object required | string Object ID |
| instance required | string Instance ID |
| resource required | string Resource ID |
| model | boolean Default: false Whether or not to add model information |
Triggers observation of resources under an object instance of a device
| device_id required | string Target device |
| object required | string Object ID |
| instance required | string Instance ID |
| model | boolean Default: false Whether or not to add model information |
Retrieves data that matches the specified conditions from the data sent by the specified Inventory device to Harvest Data. If the data entries do not fit in one page, a URL to retrieve the next page with the same conditions will be included in the link header of the response.
| device_id required | string ID of the Inventory device from which to retrieve data. The ID of an Inventory device can be obtained using the Device:listDevices API. |
| from | integer Start time of the target period (UNIX time in milliseconds). |
| to | integer End time of the target period (UNIX time in milliseconds). |
| sort | string Default: "desc" Enum: "desc" "asc" Sort order of data entries. Either descending order (latest data entry first) or ascending order (oldest data entry first). |
| limit | integer [ 1 .. 1000 ] Maximum number of data entries to retrieve (1 to 1000). The default is |
| last_evaluated_key | string Timestamp of the last data entry retrieved on the previous page. By specifying this parameter, the list starting from the next data entry can be obtained. |
[- {
- "category": "string",
- "content": "string",
- "contentType": "string",
- "resourceId": "string",
- "resourceType": "Subscriber",
- "time": 0
}
]Adds an Inventory device to an Inventory group.
| device_id required | string Device ID of the target Inventory device. |
| groupId | string Group ID. The group ID can be obtained using the Group:listGroups API. |
{- "groupId": "string"
}{- "device_id": "string",
- "endpoint": "string",
- "firmwareVersion": "string",
- "groupId": "string",
- "ipAddress": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastRegistrationUpdate": "2019-08-24T14:15:22Z",
- "manufacturer": "string",
- "modelNumber": "string",
- "objects": { },
- "online": false,
- "operatorId": "string",
- "registrationId": "string",
- "registrationLifeTime": 0,
- "serialNumber": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
}Updates device tags
| device_id required | string Device to update |
Array of values for tags to be updated.
| tagName required | string |
| tagValue required | string |
[- {
- "tagName": "string",
- "tagValue": "string"
}
]{- "device_id": "string",
- "endpoint": "string",
- "firmwareVersion": "string",
- "groupId": "string",
- "ipAddress": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastRegistrationUpdate": "2019-08-24T14:15:22Z",
- "manufacturer": "string",
- "modelNumber": "string",
- "objects": { },
- "online": false,
- "operatorId": "string",
- "registrationId": "string",
- "registrationLifeTime": 0,
- "serialNumber": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
}Removes an Inventory device from an Inventory group.
| device_id required | string Device ID of the target Inventory device. |
{- "device_id": "string",
- "endpoint": "string",
- "firmwareVersion": "string",
- "groupId": "string",
- "ipAddress": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastRegistrationUpdate": "2019-08-24T14:15:22Z",
- "manufacturer": "string",
- "modelNumber": "string",
- "objects": { },
- "online": false,
- "operatorId": "string",
- "registrationId": "string",
- "registrationLifeTime": 0,
- "serialNumber": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
}Send a diagnostic request.
request
| from | integer <int64> Start time for diagnostic (UNIX time in milliseconds). |
| resourceId required | string Identifier according to resourceType.
|
| resourceType required | string Value: "sim" |
| service required | string Value: "Air" |
| to | integer <int64> End time for diagnostic (UNIX time in milliseconds). |
{- "from": 1655251200000,
- "resouceType": "sim",
- "resourceId": "XXXXXXXXXXXXXXXXXXX",
- "service": "Air",
- "to": 1655337600000
}{- "diagnosticId": "string",
- "from": 0,
- "insights": [
- {
- "anomalyDetectedTimes": [
- "string"
], - "category": "data",
- "insightId": "string",
- "message": "string",
- "referenceUrls": [
- {
- "title": "string",
- "url": "string"
}
], - "severity": "error"
}
], - "resourceId": "string",
- "resourceType": "sim",
- "service": "Air",
- "status": "diagnosing",
- "to": 0
}Returns a diagnostic.
| diagnostic_id required | string The identifier of diagnostic request. |
{- "diagnosticId": "string",
- "from": 0,
- "insights": [
- {
- "anomalyDetectedTimes": [
- "string"
], - "category": "data",
- "insightId": "string",
- "message": "string",
- "referenceUrls": [
- {
- "title": "string",
- "url": "string"
}
], - "severity": "error"
}
], - "resourceId": "string",
- "resourceType": "sim",
- "service": "Air",
- "status": "diagnosing",
- "to": 0
}Returns a list of event handlers.
| target | string Enum: "operator" "imsi" "sim" "group" The event handler target (the target for executing events). |
[- {
- "actionConfigList": [
- {
- "properties": {
- "accessKey": "string",
- "body": "string",
- "contentType": "string",
- "credentialsId": "string",
- "endpoint": "string",
- "executionDateTimeConst": "IMMEDIATELY",
- "executionOffsetMinutes": "string",
- "functionName": "string",
- "headers": { },
- "httpMethod": "GET",
- "message": "string",
- "parameter1": "string",
- "parameter2": "string",
- "parameter3": "string",
- "parameter4": "string",
- "parameter5": "string",
- "secretAccessKey": "string",
- "speedClass": "s1.minimum",
- "title": "string",
- "to": "string",
- "url": "string"
}, - "type": "ChangeSpeedClassAction"
}
], - "description": "string",
- "handlerId": "string",
- "name": "string",
- "ruleConfig": {
- "properties": {
- "hasImei": true,
- "inactiveTimeoutDateConst": "IMMEDIATELY",
- "inactiveTimeoutOffsetMinutes": "string",
- "limitTotalAmount": "string",
- "limitTotalTrafficMegaByte": "string",
- "runOnceAmongTarget": true,
- "sessionStatus": "Created",
- "sourceStatus": "ready",
- "targetOtaStatus": "started",
- "targetSpeedClass": "s1.minimum",
- "targetStatus": "ready"
}, - "type": "SubscriberFirstTrafficRule"
}, - "status": "inactive",
- "targetGroupId": "string",
- "targetImsi": "string",
- "targetOperatorId": "string",
- "targetSimId": "string"
}
]Creates a new event handler. Please see also https://developers.soracom.io/en/docs/air/event-handler/.
Event handler settings.
required | Array of objects (ActionConfig) Action type. For more details, refer to Actions. |
| description | string Summary. |
| name required | string Event name. |
required | object (RuleConfig) |
| status required | string Enum: "inactive" "active" The status of the event handler, whether it is active or inactive.
|
| targetGroupId | string The target group. All IoT SIMs belonging to the group are monitored. Specify only one of |
| targetImsi | string The target IMSI of the IoT SIM. Specify only one of |
| targetOperatorId | string The target operator. All IoT SIMs in your account. Specify only one of |
| targetSimId | string The target SIM ID of the IoT SIM. Specify only one of |
{- "actionConfigList": [
- {
- "properties": {
- "executionDateTimeConst": "IMMEDIATELY",
- "speedClass": "s1.minimum"
}, - "type": "ChangeSpeedClassAction"
}, - {
- "properties": {
- "executionDateTimeConst": "BEGINNING_OF_NEXT_MONTH",
- "speedClass": "s1.standard"
}, - "type": "ChangeSpeedClassAction"
}, - {
- "properties": {
- "message": "Target IoT SIM: ${imsi}\nThe monthly data traffic volume of the IoT SIM has reached 1024 MiB, and the communication speed has been limited to \"s1.minimum\".",
- "title": "Notification of Speed Limitation"
}, - "type": "SendMailToOperatorAction"
}, - {
- "properties": {
- "message": "Target IoT SIM: ${imsi}\nSince the speed limitation period has ended, the communication speed has been set to \"s1.standard\".",
- "title": "Notification of Speed Limitation Release"
}, - "type": "SendMailToOperatorAction"
}
], - "description": "Sample description",
- "name": "Event handler",
- "ruleConfig": {
- "properties": {
- "inactiveTimeoutDateConst": "BEGINNING_OF_NEXT_MONTH",
- "limitTotalTrafficMegaByte": 1024
}, - "type": "SubscriberMonthlyTrafficRule"
}, - "status": "active",
- "targetImsi": "xxxxxxxxxxxxxxx"
}{- "actionConfigList": [
- {
- "properties": {
- "accessKey": "string",
- "body": "string",
- "contentType": "string",
- "credentialsId": "string",
- "endpoint": "string",
- "executionDateTimeConst": "IMMEDIATELY",
- "executionOffsetMinutes": "string",
- "functionName": "string",
- "headers": { },
- "httpMethod": "GET",
- "message": "string",
- "parameter1": "string",
- "parameter2": "string",
- "parameter3": "string",
- "parameter4": "string",
- "parameter5": "string",
- "secretAccessKey": "string",
- "speedClass": "s1.minimum",
- "title": "string",
- "to": "string",
- "url": "string"
}, - "type": "ChangeSpeedClassAction"
}
], - "description": "string",
- "handlerId": "string",
- "name": "string",
- "ruleConfig": {
- "properties": {
- "hasImei": true,
- "inactiveTimeoutDateConst": "IMMEDIATELY",
- "inactiveTimeoutOffsetMinutes": "string",
- "limitTotalAmount": "string",
- "limitTotalTrafficMegaByte": "string",
- "runOnceAmongTarget": true,
- "sessionStatus": "Created",
- "sourceStatus": "ready",
- "targetOtaStatus": "started",
- "targetSpeedClass": "s1.minimum",
- "targetStatus": "ready"
}, - "type": "SubscriberFirstTrafficRule"
}, - "status": "inactive",
- "targetGroupId": "string",
- "targetImsi": "string",
- "targetOperatorId": "string",
- "targetSimId": "string"
}Returns information about the specified event handler.
| handler_id required | string Event handler ID. |
{- "actionConfigList": [
- {
- "properties": {
- "accessKey": "string",
- "body": "string",
- "contentType": "string",
- "credentialsId": "string",
- "endpoint": "string",
- "executionDateTimeConst": "IMMEDIATELY",
- "executionOffsetMinutes": "string",
- "functionName": "string",
- "headers": { },
- "httpMethod": "GET",
- "message": "string",
- "parameter1": "string",
- "parameter2": "string",
- "parameter3": "string",
- "parameter4": "string",
- "parameter5": "string",
- "secretAccessKey": "string",
- "speedClass": "s1.minimum",
- "title": "string",
- "to": "string",
- "url": "string"
}, - "type": "ChangeSpeedClassAction"
}
], - "description": "string",
- "handlerId": "string",
- "name": "string",
- "ruleConfig": {
- "properties": {
- "hasImei": true,
- "inactiveTimeoutDateConst": "IMMEDIATELY",
- "inactiveTimeoutOffsetMinutes": "string",
- "limitTotalAmount": "string",
- "limitTotalTrafficMegaByte": "string",
- "runOnceAmongTarget": true,
- "sessionStatus": "Created",
- "sourceStatus": "ready",
- "targetOtaStatus": "started",
- "targetSpeedClass": "s1.minimum",
- "targetStatus": "ready"
}, - "type": "SubscriberFirstTrafficRule"
}, - "status": "inactive",
- "targetGroupId": "string",
- "targetImsi": "string",
- "targetOperatorId": "string",
- "targetSimId": "string"
}Updates the specified event handler. Please see also https://developers.soracom.io/en/docs/air/event-handler/.
| handler_id required | string Event handler ID. |
Event handler settings.
required | Array of objects (ActionConfig) Action type. For more details, refer to Actions. |
| description | string Summary. |
| name required | string Event name. |
required | object (RuleConfig) |
| status required | string Enum: "inactive" "active" The status of the event handler, whether it is active or inactive.
|
| targetGroupId | string The target group. All IoT SIMs belonging to the group are monitored. Specify only one of |
| targetImsi | string The target IMSI of the IoT SIM. Specify only one of |
| targetOperatorId | string The target operator. All IoT SIMs in your account. Specify only one of |
| targetSimId | string The target SIM ID of the IoT SIM. Specify only one of |
{- "actionConfigList": [
- {
- "properties": {
- "accessKey": "string",
- "body": "string",
- "contentType": "string",
- "credentialsId": "string",
- "endpoint": "string",
- "executionDateTimeConst": "IMMEDIATELY",
- "executionOffsetMinutes": "string",
- "functionName": "string",
- "headers": { },
- "httpMethod": "GET",
- "message": "string",
- "parameter1": "string",
- "parameter2": "string",
- "parameter3": "string",
- "parameter4": "string",
- "parameter5": "string",
- "secretAccessKey": "string",
- "speedClass": "s1.minimum",
- "title": "string",
- "to": "string",
- "url": "string"
}, - "type": "ChangeSpeedClassAction"
}
], - "description": "string",
- "name": "string",
- "ruleConfig": {
- "properties": {
- "hasImei": true,
- "inactiveTimeoutDateConst": "IMMEDIATELY",
- "inactiveTimeoutOffsetMinutes": "string",
- "limitTotalAmount": "string",
- "limitTotalTrafficMegaByte": "string",
- "runOnceAmongTarget": true,
- "sessionStatus": "Created",
- "sourceStatus": "ready",
- "targetOtaStatus": "started",
- "targetSpeedClass": "s1.minimum",
- "targetStatus": "ready"
}, - "type": "SubscriberFirstTrafficRule"
}, - "status": "inactive",
- "targetGroupId": "string",
- "targetImsi": "string",
- "targetOperatorId": "string",
- "targetSimId": "string"
}Returns a list of event handlers related to the specified IMSI.
| imsi required | string IMSI. |
[- {
- "actionConfigList": [
- {
- "properties": {
- "accessKey": "string",
- "body": "string",
- "contentType": "string",
- "credentialsId": "string",
- "endpoint": "string",
- "executionDateTimeConst": "IMMEDIATELY",
- "executionOffsetMinutes": "string",
- "functionName": "string",
- "headers": { },
- "httpMethod": "GET",
- "message": "string",
- "parameter1": "string",
- "parameter2": "string",
- "parameter3": "string",
- "parameter4": "string",
- "parameter5": "string",
- "secretAccessKey": "string",
- "speedClass": "s1.minimum",
- "title": "string",
- "to": "string",
- "url": "string"
}, - "type": "ChangeSpeedClassAction"
}
], - "description": "string",
- "handlerId": "string",
- "name": "string",
- "ruleConfig": {
- "properties": {
- "hasImei": true,
- "inactiveTimeoutDateConst": "IMMEDIATELY",
- "inactiveTimeoutOffsetMinutes": "string",
- "limitTotalAmount": "string",
- "limitTotalTrafficMegaByte": "string",
- "runOnceAmongTarget": true,
- "sessionStatus": "Created",
- "sourceStatus": "ready",
- "targetOtaStatus": "started",
- "targetSpeedClass": "s1.minimum",
- "targetStatus": "ready"
}, - "type": "SubscriberFirstTrafficRule"
}, - "status": "inactive",
- "targetGroupId": "string",
- "targetImsi": "string",
- "targetOperatorId": "string",
- "targetSimId": "string"
}
]Returns a list of file entries which beginnings of their file paths are matched with the prefix query string in the ascending sorted UTF-8 bytes order of their file paths. An empty list is returned if the prefix does not match with any paths of file entries.
| scope required | string Enum: "private" "public" Scope of the request. Specify |
| prefix required | string Prefix to match with file path. |
| limit | integer Default: 10 Maximum number of file entries to be returned. |
| last_evaluated_key | string The filePath of the last file entry retrieved on the previous page. By specifying this parameter, you can continue to retrieve the list from the next file entry onward. |
[- {
- "contentLength": 0,
- "contentType": "string",
- "createdTime": 0,
- "directory": "string",
- "etag": "string",
- "filePath": "string",
- "filename": "string",
- "isDirectory": true,
- "lastModifiedTime": 0
}
]Deletes the file specified by scope and path. Only private scope is allowed for the operation.
| scope required | string Default: "private" Value: "private" Scope of the request. Specify |
| path required | string Target path. |
Download file specified by the path and the scope. Note that FileEntry:listFiles API will be called if the path ends with /.
| scope required | string Default: "private" Enum: "private" "public" Scope of the request. Specify |
| path required | string Target path. |
Gets the metadata of the file specified by the path and the scope.
| scope required | string Default: "private" Enum: "private" "public" Scope of the request. Specify |
| path required | string Target path. |
Uploads the file to the specified path in the scope. Only private scope is allowed for the operation.
| scope required | string Default: "private" Value: "private" Scope of the request. Specify |
| path required | string Target path. |
| content-type | string Content-Type of the file to be uploaded. |
Contents of the file to be updated.
Deletes the directory specified by scope and path. Only private scope is allowed for the operation.
| scope required | string Default: "private" Value: "private" Scope of the request. Specify |
| path required | string Target path. |
Returns files and directories from the directory specified by the scope and path. Note that FileEntry:getFile API will be called if the path does not end in /. If the total number of entries does not fit in one page, a URL for accessing the next page is returned in the link header of the response.
| scope required | string Default: "private" Enum: "private" "public" Scope of the request. Specify |
| path required | string Default: "/" Target path. |
| limit | integer Default: 10 Maximum number of file entries to be returned. |
| last_evaluated_key | string The filename of the last file entry retrieved on the previous page. By specifying this parameter, you can continue to retrieve the list from the next file entry onward. |
[- {
- "contentLength": 0,
- "contentType": "string",
- "createdTime": 0,
- "directory": "string",
- "etag": "string",
- "filePath": "string",
- "filename": "string",
- "isDirectory": true,
- "lastModifiedTime": 0
}
]Download files exported by the following APIs:
Get the progress of the process when the file is exported asynchronously. If the export is complete, you will get the URL to download the file. You can download the file from the URL.
The following APIs are available to export files asynchronously. The exported_file_id is the file output ID (the value of exportedFileId) obtained from the following API.
| exported_file_id required | string File export ID. |
{- "status": "exported",
}Gadget API compatible devices
Returns a list of gadgets that match certain criteria. If the total number of gadgets does not fit in one page, a URL for accessing the next page is returned in the link header of the response.
| product_id | string Enum: "button" "wimax" Product ID of the target Gadget API compatible device for filtering the search.
|
| tag_name | string Tag name for filtering the search. The search is always an exact match, regardless of the setting of |
| tag_value | string Specifies a tag value to search for in a URL-encoded (percent-encoded) string. Required when |
| tag_value_match_mode | string Default: "exact" Enum: "exact" "prefix" Tag match mode.
|
| limit | integer Maximum number of Gadget API compatible devices data to retrieve. |
| last_evaluated_key | string The ID ( By specifying this parameter, you can continue to retrieve the list from the next Gadget API compatible device onward. The value of the |
[- {
- "attributes": {
- "wimaxBillingStartDate": "string",
- "wimaxIccid": "string",
- "wimaxImei": "string"
}, - "createdTime": 0,
- "id": "string",
- "lastModifiedTime": 0,
- "operatorId": "string",
- "productId": "button",
- "serialNumber": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminatedTime": 0,
- "terminationEnabled": false
}
]Returns information about the specified Gadget API compatible device.
| product_id required | string Enum: "button" "wimax" Product ID of the target Gadget API compatible device.
|
| serial_number required | string Serial Number of the target Gadget API compatible device. |
{- "attributes": {
- "wimaxBillingStartDate": "string",
- "wimaxIccid": "string",
- "wimaxImei": "string"
}, - "createdTime": 0,
- "id": "string",
- "lastModifiedTime": 0,
- "operatorId": "string",
- "productId": "button",
- "serialNumber": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminatedTime": 0,
- "terminationEnabled": false
}Disables termination of specified Gadget API compatible device.
| product_id required | string Enum: "button" "wimax" Product ID of the target Gadget API compatible device.
|
| serial_number required | string Serial Number of the target Gadget API compatible device. |
{- "attributes": {
- "wimaxBillingStartDate": "string",
- "wimaxIccid": "string",
- "wimaxImei": "string"
}, - "createdTime": 0,
- "id": "string",
- "lastModifiedTime": 0,
- "operatorId": "string",
- "productId": "button",
- "serialNumber": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminatedTime": 0,
- "terminationEnabled": false
}Enables termination of specified Gadget API compatible device.
| product_id required | string Enum: "button" "wimax" Product ID of the target Gadget API compatible device.
|
| serial_number required | string Serial Number of the target Gadget API compatible device. |
{- "attributes": {
- "wimaxBillingStartDate": "string",
- "wimaxIccid": "string",
- "wimaxImei": "string"
}, - "createdTime": 0,
- "id": "string",
- "lastModifiedTime": 0,
- "operatorId": "string",
- "productId": "button",
- "serialNumber": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminatedTime": 0,
- "terminationEnabled": false
}Registers a Gadget API compatible device.
| product_id required | string Enum: "button" "wimax" Product ID of the target Gadget API compatible device.
|
| serial_number required | string Serial Number of the target Gadget API compatible device. |
Gadget registration request.
object Tags. |
{- "tags": {
- "property1": "string",
- "property2": "string"
}
}{- "attributes": {
- "wimaxBillingStartDate": "string",
- "wimaxIccid": "string",
- "wimaxImei": "string"
}, - "createdTime": 0,
- "id": "string",
- "lastModifiedTime": 0,
- "operatorId": "string",
- "productId": "button",
- "serialNumber": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminatedTime": 0,
- "terminationEnabled": false
}Inserts/updates tags for the specified Gadget API compatible device.
| product_id required | string Enum: "button" "wimax" Product ID of the target Gadget API compatible device.
|
| serial_number required | string Serial Number of the target Gadget API compatible device. |
Array of tags to be inserted/updated.
| tagName required | string |
| tagValue required | string |
[- {
- "tagName": "string",
- "tagValue": "string"
}
]{- "attributes": {
- "wimaxBillingStartDate": "string",
- "wimaxIccid": "string",
- "wimaxImei": "string"
}, - "createdTime": 0,
- "id": "string",
- "lastModifiedTime": 0,
- "operatorId": "string",
- "productId": "button",
- "serialNumber": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminatedTime": 0,
- "terminationEnabled": false
}Deletes a tag from the specified Gadget API compatible device.
| product_id required | string Enum: "button" "wimax" Product ID of the target Gadget API compatible device.
|
| serial_number required | string Serial Number of the target Gadget API compatible device. |
| tag_name required | string Tag name to be deleted. (This will be part of a URL path, so it needs to be percent-encoded. In JavaScript, specify the name after it has been encoded using encodeURIComponent().) |
Terminates the specified Gadget API compatible device.
| product_id required | string Enum: "button" "wimax" Product ID of the target Gadget API compatible device.
|
| serial_number required | string Serial Number of the target Gadget API compatible device. |
{- "attributes": {
- "wimaxBillingStartDate": "string",
- "wimaxIccid": "string",
- "wimaxImei": "string"
}, - "createdTime": 0,
- "id": "string",
- "lastModifiedTime": 0,
- "operatorId": "string",
- "productId": "button",
- "serialNumber": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminatedTime": 0,
- "terminationEnabled": false
}Returns a list of Groups.
| tag_name | string Tag name of the group. Filters through all groups that exactly match the tag name. When tag_name is specified, tag_value is required. |
| tag_value | string Tag value of the groups. |
| tag_value_match_mode | string Default: "exact" Enum: "exact" "prefix" Search criteria for tag strings ( |
| limit | integer Maximum number of results per response page. |
| last_evaluated_key | string The last Group ID retrieved on the current page. By specifying this parameter, you can continue to retrieve the list from the next group onward. |
[- {
- "configuration": {
- "property1": { },
- "property2": { }
}, - "createdTime": 0,
- "groupId": "string",
- "lastModifiedTime": 0,
- "operatorId": "string",
- "tags": {
- "tagName1": "tagValue1",
- "tagName2": "tagValue2..."
}
}
]Create a new group.
Tags and configuration for a new group to be created.
object (GroupConfiguration) | |
object (TagSet) An object which always contains at least one property "name" with a string value. If you give a subscriber/SIM a name, the name will be returned as the value of the "name" property. If the subscriber/SIM does not have a name, an empty string "" is returned. In addition, if you create any custom tags for the subscriber/SIM, each custom tag will appear as additional properties in the object. |
{- "configuration": {
- "SoracomAir": {
- "metadata": {
- "enabled": true
}
}, - "SoracomHarvest": {
- "enabled": true
}, - "SoracomHarvestFiles": {
- "enabled": true
}
}, - "tags": {
- "name": "Group name"
}
}{- "configuration": {
- "SoracomAir": {
- "metadata": {
- "enabled": true
}
}, - "SoracomHarvest": {
- "enabled": true
}, - "SoracomHarvestFiles": {
- "enabled": true
}
}, - "createdAt": 1698796800000,
- "createdTime": 1698796800000,
- "groupId": "12345678-abcd-9012-efab-345678901234",
- "lastModifiedAt": 1698796800000,
- "lastModifiedTime": 1698796800000,
- "operatorId": "OP0012345678",
- "tags": {
- "name": "Group name"
}
}Returns the group specified by the group ID.
| group_id required | string ID of the target Group. |
{- "configuration": {
- "property1": { },
- "property2": { }
}, - "createdTime": 0,
- "groupId": "string",
- "lastModifiedTime": 0,
- "operatorId": "string",
- "tags": {
- "tagName1": "tagValue1",
- "tagName2": "tagValue2..."
}
}Delete a namespace for the specified group.
| group_id required | string ID of the target Group. |
| namespace required | string Enum: "SoracomAir" "SoracomBeam" "SoracomEndorse" "SoracomOrbit" "SoracomFlux" "SoracomFunk" "SoracomFunnel" "SoracomHarvest" "SoracomHarvestFiles" "SoracomKrypton" "UnifiedEndpoint" Namespace to be deleted. |
Updates the configuration of the specified group.
| group_id required | string ID of the target group. The group ID can be obtained via the Group:listGroups API. |
| namespace required | string Enum: "SoracomAir" "SoracomBeam" "SoracomEndorse" "SoracomFlux" "SoracomFunk" "SoracomFunnel" "SoracomHarvest" "SoracomHarvestFiles" "SoracomKrypton" "SoracomOrbit" "UnifiedEndpoint" A string indicating the configuration target. It varies depending on the configuration content.
|
Group configuration. This operation updates a value of the specified key in the namespace.
Select [Examples] below and then click the [Example Value] tab to view sample request bodies.
| key required | string |
| value required | any |
When configuring Custom DNS for IoT SIM, please note the following points.
SoracomAir for the namespace path parameter.key and value pairs, refer to Advanced Configuration.[- {
- "key": "useCustomDns",
- "value": true
}, - {
- "key": "dnsServers",
- "value": [
- "192.168.0.5",
- "192.168.0.6"
]
}
]{- "configuration": {
- "property1": { },
- "property2": { }
}, - "createdTime": 0,
- "groupId": "string",
- "lastModifiedTime": 0,
- "operatorId": "string",
- "tags": {
- "tagName1": "tagValue1",
- "tagName2": "tagValue2..."
}
}Delete parameters for the specified group.
| group_id required | string ID of the target Group. |
| namespace required | string Enum: "SoracomAir" "SoracomBeam" "SoracomEndorse" "SoracomFlux" "SoracomFunk" "SoracomFunnel" "SoracomHarvest" "SoracomHarvestFiles" "SoracomKrypton" "UnifiedEndpoint" Namespace of target parameters. |
| name required | string Parameter name to be deleted. (This will be part of a URL path, so it needs to be percent-encoded. In JavaScript, specify the name after it has been encoded using encodeURIComponent().) |
Returns a list of subscribers that belong to the specified group by group ID.
| group_id required | string ID of the target Group. |
| limit | integer Maximum number of results per response page. |
| last_evaluated_key | string The IMSI of the last subscriber retrieved on the previous page. By specifying this parameter, you can continue to retrieve the list from the next subscriber onward. |
[- {
- "activeProfileId": "string",
- "arcSessionStatus": {
- "arcAllowedIPs": [
- "string"
], - "arcClientPeerIpAddress": "string",
- "arcClientPeerPublicKey": "string",
- "arcServerEndpoint": "string",
- "arcServerPeerPublicKey": "string",
- "gatewayPrivateIpAddress": "string",
- "gatewayPublicIpAddress": "string",
- "lastUpdatedAt": 0,
- "placement": {
- "infrastructureProvider": "aws",
- "region": "ap-northeast-1"
}, - "vpgId": "string"
}, - "capabilities": {
- "data": true,
- "sms": true
}, - "createdTime": 0,
- "expiryAction": "doNothing",
- "expiryTime": 0,
- "groupId": "string",
- "imeiLock": {
- "imei": "string"
}, - "lastModifiedTime": 0,
- "lastPortMappingCreatedTime": 0,
- "localInfo": {
- "property1": "string",
- "property2": "string"
}, - "moduleType": "mini",
- "operatorId": "string",
- "otaSerialNumber": "string",
- "pcapEndTime": 0,
- "pcapStartTime": 0,
- "previousSession": {
- "cell": {
- "ci": 0,
- "eci": 0,
- "lac": 0,
- "mcc": 0,
- "mnc": 0,
- "rac": 0,
- "radioType": "3G",
- "sac": 0,
- "tac": 0
}, - "createdTime": 0,
- "deletedTime": 0,
- "dnsServers": [
- "string"
], - "gatewayPrivateIpAddress": "string",
- "gatewayPublicIpAddress": "string",
- "imei": "string",
- "imsi": "string",
- "sessionId": "string",
- "subscription": "string",
- "ueIpAddress": "string",
- "vpgId": "string"
}, - "profiles": {
- "property1": {
- "arcClientPeerPrivateKey": "string",
- "arcClientPeerPublicKey": "string",
- "iccid": "string",
- "otaSupported": true,
- "primaryImsi": "string",
- "subscribers": {
- "property1": {
- "bundles": [
- "string"
], - "capabilities": {
- "data": true,
- "sms": true
}, - "imsi": "string",
- "msisdn": "string",
- "status": "shipped",
- "subscription": "string"
}, - "property2": {
- "bundles": [
- "string"
], - "capabilities": {
- "data": true,
- "sms": true
}, - "imsi": "string",
- "msisdn": "string",
- "status": "shipped",
- "subscription": "string"
}
}
}, - "property2": {
- "arcClientPeerPrivateKey": "string",
- "arcClientPeerPublicKey": "string",
- "iccid": "string",
- "otaSupported": true,
- "primaryImsi": "string",
- "subscribers": {
- "property1": {
- "bundles": [
- "string"
], - "capabilities": {
- "data": true,
- "sms": true
}, - "imsi": "string",
- "msisdn": "string",
- "status": "shipped",
- "subscription": "string"
}, - "property2": {
- "bundles": [
- "string"
], - "capabilities": {
- "data": true,
- "sms": true
}, - "imsi": "string",
- "msisdn": "string",
- "status": "shipped",
- "subscription": "string"
}
}
}
}, - "renewalFeeStatusSetTime": 0,
- "serialNumber": "string",
- "sessionStatus": {
- "cell": {
- "ci": 0,
- "eci": 0,
- "lac": 0,
- "mcc": 0,
- "mnc": 0,
- "rac": 0,
- "radioType": "3G",
- "sac": 0,
- "tac": 0
}, - "dnsServers": [
- "string"
], - "gatewayPrivateIpAddress": "string",
- "gatewayPublicIpAddress": "string",
- "imei": "string",
- "imsi": "string",
- "lastUpdatedAt": 0,
- "location": { },
- "online": true,
- "placement": {
- "infrastructureProvider": "aws",
- "region": "ap-northeast-1"
}, - "sessionId": "string",
- "subscription": "string",
- "ueIpAddress": "string",
- "vpgId": "string"
}, - "simId": "string",
- "speedClass": "string",
- "status": "ready",
- "tags": {
- "tagName1": "tagValue1",
- "tagName2": "tagValue2..."
}, - "terminationEnabled": true,
- "testmodeExhaustedTime": 0,
- "type": "euicc"
}
]Adds/updates tags of specified configuration group.
| group_id required | string ID of the target Group. |
Array of values for tags to be updated.
| tagName required | string |
| tagValue required | string |
[- {
- "tagName": "string",
- "tagValue": "string"
}
]{- "configuration": {
- "property1": { },
- "property2": { }
}, - "createdTime": 0,
- "groupId": "string",
- "lastModifiedTime": 0,
- "operatorId": "string",
- "tags": {
- "tagName1": "tagValue1",
- "tagName2": "tagValue2..."
}
}Deletes tag from the specified group.
| group_id required | string ID of the target Group. |
| tag_name required | string Tag name to be deleted. (This will be part of a URL path, so it needs to be percent-encoded. In JavaScript, specify the name after it has been encoded using encodeURIComponent().) |
Soracom Lagoon User and plan management
Update the quantities for license packs of Soracom Lagoon.
Warning: This API must be called with the root user credentials. The quantities for license packs of Soracom Lagoon cannot be updated with SAM user credentials.
Request.
Array of objects |
{- "licensePackQuantities": [
- {
- "desiredQuantity": 0,
- "licensePackName": "basicUser"
}
]
}Update the plan of Soracom Lagoon.
Warning: This API must be called with the root user credentials. The plan of Lagoon cannot be updated with SAM user credentials.
| plan | string Enum: "maker" "pro" "free" |
{- "plan": "maker"
}Register (activate) Soracom Lagoon.
Warning: This API must be called with the root user credentials. Lagoon cannot be registered with SAM user credentials.
Request.
| plan | string Enum: "free" "maker" "pro" |
| userPassword | string This password is used by the initial user's login. |
{- "plan": "free",
- "userPassword": "string"
}{- "lagoonUserEmail": "string"
}Create a Soracom Lagoon user.
Request.
| role | string Enum: "Viewer" "Editor" A role that represents the permission. |
| userEmail | string |
| userPassword | string |
{- "role": "Viewer",
- "userEmail": "string",
- "userPassword": "string"
}{- "id": 0
}Update email address of a Soracom Lagoon user.
| lagoon_user_id required | integer Target ID of the lagoon user. |
Request.
| userEmail | string |
{- "userEmail": "string"
}Update password of a Soracom Lagoon user.
| lagoon_user_id required | integer Target ID of the lagoon user. |
Request.
| newPassword | string |
| oldPassword | string |
{- "newPassword": "string",
- "oldPassword": "string"
}Update permission of a Soracom Lagoon user.
| lagoon_user_id required | integer Target ID of the lagoon user. |
Request.
| role | string Enum: "Viewer" "Editor" A role that represents the permission. |
{- "role": "Viewer"
}Fetches error logs that meet specified criteria. If the error logs exceed one page, a URL to retrieve the next page under the same conditions is included in the link header of the response.
| resource_type | string Enum: "Subscriber" "Device" "LoraDevice" "SigfoxDevice" The type of resource for which to retrieve error logs.
| ||||||||||
| resource_id | string The ID of the resource for which to retrieve error logs. The ID to specify varies depending on the value of
| ||||||||||
| service | string Enum: "Air" "Beam" "Funk" "Funnel" "Harvest" "Napter" "Orbit" "Unified" The service name to filter error logs.
| ||||||||||
| from | integer Start time of the period for which to retrieve error logs (UNIX time in milliseconds). | ||||||||||
| to | integer End time of the period for which to retrieve error logs (UNIX time in milliseconds). | ||||||||||
| limit | integer The maximum number of error logs to retrieve. | ||||||||||
| last_evaluated_key | string The value contained in the |
[- {
- "body": { },
- "logLevel": "debug",
- "operatorId": "string",
- "resourceId": "string",
- "resourceType": "Subscriber",
- "service": "Air",
- "time": 0
}
]Soracom Air for LoRaWAN devices
Returns a list of LoRaWAN devices that match certain criteria. If the total number of LoRaWAN devices does not fit in one page, a URL for accessing the next page is returned in the link header of the response.
| tag_name | string Tag name for filtering the search (exact match). |
| tag_value | string Tag search string for filtering the search. Required when |
| tag_value_match_mode | string Default: "exact" Enum: "exact" "prefix" Tag match mode. |
| limit | integer Maximum number of LoRaWAN devices to retrieve. |
| last_evaluated_key | string The device ID of the last LoRaWAN device retrieved on the previous page. By specifying this parameter, you can continue to retrieve the list from the next LoRaWAN device onward. |
[- {
- "device_id": "string",
- "groupId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastSeen": {
- "rssi": 0,
- "snr": 0,
- "time": "2019-08-24T14:15:22Z"
}, - "operatorId": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}
]Returns information about the specified LoRaWAN device.
| device_id required | string Device ID of the target LoRaWAN device. |
{- "device_id": "string",
- "groupId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastSeen": {
- "rssi": 0,
- "snr": 0,
- "time": "2019-08-24T14:15:22Z"
}, - "operatorId": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Retrieves data that matches the specified conditions from the data sent by the specified LoRaWAN device to Harvest Data. If the data entries do not fit in one page, a URL to retrieve the next page with the same conditions will be included in the link header of the response.
| device_id required | string ID of the LoRaWAN device from which to retrieve data. The ID of a LoRaWAN device can be obtained using the LoraDevice:listLoraDevices API. |
| from | integer Start time of the target period (UNIX time in milliseconds). |
| to | integer End time of the target period (UNIX time in milliseconds). |
| sort | string Default: "desc" Enum: "desc" "asc" Sort order of data entries. Either descending order (latest data entry first) or ascending order (oldest data entry first). |
| limit | integer [ 1 .. 1000 ] Maximum number of data entries to retrieve (1 to 1000). The default is |
| last_evaluated_key | string Timestamp of the last data entry retrieved on the previous page. By specifying this parameter, the list starting from the next data entry can be obtained. |
[- {
- "category": "string",
- "content": "string",
- "contentType": "string",
- "resourceId": "string",
- "resourceType": "Subscriber",
- "time": 0
}
]Sends data to the specified LoRaWAN device. The data is sent to the LoRa network server, to be sent out to the device using the next available slot. If another message destined for the same LoRaWAN device ID is already waiting to be sent on the LoRa Network Server, the existing message will be discarded, and the new message will be sent instead. Data is discarded if it is not received by the device for a certain period of time (2 hours).
| device_id required | string ID of the recipient device. |
Binary data encoded as a hexadecimal string. Maximum length of original binary data is 11 octets (22 characters when encoded as a hexadecimal string). The number of characters must be even. fPort can be specified optionally. fPort MUST be equal to or greater than 0. 0 is used for the control plane and 1 or greater values should be used in general. It defaults to 2 to avoid the issues of some devices from some vendors and all invalid values that can not be parsed fallback to 2.
| data | string |
| fPort | integer Default: 2 |
{- "data": "string",
- "fPort": 2
}Disables termination of specified LoRaWAN device.
| device_id required | string Device ID of the target LoRaWAN device. |
{- "device_id": "string",
- "groupId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastSeen": {
- "rssi": 0,
- "snr": 0,
- "time": "2019-08-24T14:15:22Z"
}, - "operatorId": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Enables termination of specified LoRaWAN device.
| device_id required | string Device ID of the target LoRaWAN device. |
{- "device_id": "string",
- "groupId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastSeen": {
- "rssi": 0,
- "snr": 0,
- "time": "2019-08-24T14:15:22Z"
}, - "operatorId": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Register a LoRaWAN device.
| device_id required | string Device ID of the target LoRaWAN device. |
LoRaWAN Device
| groupId | string |
| registrationSecret | string |
object |
{- "groupId": "string",
- "registrationSecret": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
}{- "device_id": "string",
- "groupId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastSeen": {
- "rssi": 0,
- "snr": 0,
- "time": "2019-08-24T14:15:22Z"
}, - "operatorId": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Adds a LoRaWAN device to a LoRaWAN group.
| device_id required | string ID of the target LoRaWAN device. The ID of a LoRaWAN device can be obtained using the LoraDevice:listLoraDevices API. |
| groupId | string Group ID. The group ID can be obtained using the Group:listGroups API. |
{- "groupId": "string"
}{- "device_id": "string",
- "groupId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastSeen": {
- "rssi": 0,
- "snr": 0,
- "time": "2019-08-24T14:15:22Z"
}, - "operatorId": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Inserts/updates tags for the specified LoRaWAN device.
| device_id required | string Device ID of the target LoRaWAN device. |
Array of tags to be inserted/updated.
| tagName required | string |
| tagValue required | string |
[- {
- "tagName": "string",
- "tagValue": "string"
}
]{- "device_id": "string",
- "groupId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastSeen": {
- "rssi": 0,
- "snr": 0,
- "time": "2019-08-24T14:15:22Z"
}, - "operatorId": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Deletes a tag from the specified LoRaWAN device.
| device_id required | string Device ID of the target LoRaWAN device. |
| tag_name required | string Tag name to be deleted. (This will be part of a URL path, so it needs to be percent-encoded. In JavaScript, specify the name after it has been encoded using encodeURIComponent().) |
Terminates the specified LoRaWAN device.
| device_id required | string Device ID of the target LoRaWAN device. |
{- "device_id": "string",
- "groupId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastSeen": {
- "rssi": 0,
- "snr": 0,
- "time": "2019-08-24T14:15:22Z"
}, - "operatorId": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Removes a LoRaWAN device from a LoRaWAN group.
| device_id required | string ID of the target LoRaWAN device. The ID of a LoRaWAN device can be obtained using the LoraDevice:listLoraDevices API. |
{- "device_id": "string",
- "groupId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "lastSeen": {
- "rssi": 0,
- "snr": 0,
- "time": "2019-08-24T14:15:22Z"
}, - "operatorId": "string",
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Soracom Air for LoRaWAN gateways
Returns a list of LoRaWAN gateways that match certain criteria. If the total number of LoRaWAN gateways does not fit in one page, a URL for accessing the next page is returned in the link header of the response.
| tag_name | string Tag name for filtering the search (exact match). |
| tag_value | string Tag search string for filtering the search. Required when |
| tag_value_match_mode | string Default: "exact" Enum: "exact" "prefix" Tag match mode. |
| limit | integer <int32d> Maximum number of LoRaWAN gateways to retrieve. |
| last_evaluated_key | string The Gateway ID of the last LoRaWAN gateway retrieved on the current page. By specifying this parameter, you can continue to retrieve the list from the next LoRaWAN gateway onward. |
[- {
- "address": "string",
- "createdTime": "2019-08-24T14:15:22Z",
- "gatewayId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "online": false,
- "operatorId": "string",
- "owned": false,
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}
]Returns information about the specified LoRaWAN gateway.
| gateway_id required | string Gateway ID of the target LoRaWAN gateway. |
{- "address": "string",
- "createdTime": "2019-08-24T14:15:22Z",
- "gatewayId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "online": false,
- "operatorId": "string",
- "owned": false,
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Disables termination of specified LoRaWAN gateway.
| gateway_id required | string ID of the target LoRaWAN gateway. |
{- "address": "string",
- "createdTime": "2019-08-24T14:15:22Z",
- "gatewayId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "online": false,
- "operatorId": "string",
- "owned": false,
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Enables termination of specified LoRaWAN gateway.
| gateway_id required | string ID of the target LoRaWAN gateway. |
{- "address": "string",
- "createdTime": "2019-08-24T14:15:22Z",
- "gatewayId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "online": false,
- "operatorId": "string",
- "owned": false,
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Sets or overwrites network set ID for the specified LoRaWAN gateway.
| gateway_id required | string ID of the target LoRaWAN gateway. |
LoRaWAN Network Set ID.
| networkSetId | string |
{- "networkSetId": "string"
}{- "address": "string",
- "createdTime": "2019-08-24T14:15:22Z",
- "gatewayId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "online": false,
- "operatorId": "string",
- "owned": false,
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Inserts/updates tags for the specified LoRaWAN gateway.
| gateway_id required | string ID of the target LoRaWAN gateway. |
Array of tags to be inserted/updated.
| tagName required | string |
| tagValue required | string |
[- {
- "tagName": "string",
- "tagValue": "string"
}
]{- "address": "string",
- "createdTime": "2019-08-24T14:15:22Z",
- "gatewayId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "online": false,
- "operatorId": "string",
- "owned": false,
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Deletes a tag from the specified LoRaWAN gateway.
| gateway_id required | string ID of the target LoRaWAN gateway. |
| tag_name required | string Tag name to be deleted. (This will be part of a URL path, so it needs to be percent-encoded. In JavaScript, specify the name after it has been encoded using encodeURIComponent().) |
Terminates the specified LoRaWAN gateway.
| gateway_id required | string ID of the target LoRaWAN gateway. |
{- "address": "string",
- "createdTime": "2019-08-24T14:15:22Z",
- "gatewayId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "online": false,
- "operatorId": "string",
- "owned": false,
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Unset network set ID of the specified LoRaWAN gateway.
| gateway_id required | string ID of the target LoRaWAN gateway. |
{- "address": "string",
- "createdTime": "2019-08-24T14:15:22Z",
- "gatewayId": "string",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "online": false,
- "operatorId": "string",
- "owned": false,
- "status": "active",
- "tags": {
- "property1": "string",
- "property2": "string"
}, - "terminationEnabled": false
}Soracom Air for LoRaWAN network sets
Returns a list of LoRaWAN network sets that match certain criteria. If the total number of LoRaWAN network sets does not fit in one page, a URL for accessing the next page is returned in the link header of the response.
| tag_name | string Tag name for filtering the search (exact match). |
| tag_value | string Tag search string for filtering the search. Required when |
| tag_value_match_mode | string Default: "exact" Enum: "exact" "prefix" Tag match mode. |
| limit | integer <int32d> Maximum number of LoRaWAN network set to retrieve. |
| last_evaluated_key | string The ID of the last network set retrieved on the current page. By specifying this parameter, you can continue to retrieve the list from the next device onward. |
[- {
- "allowedOperators": [
- "string"
], - "createdTime": "2019-08-24T14:15:22Z",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "operatorId": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
}
]Creates a specified LoRaWAN network set.
Additional metadata such as tags for a LoRaWAN network set to create.
| allowedOperators | Array of strings unique |
| createdTime | string <date-time> |
| lastModifiedTime | string <date-time> |
| networkSetId | string |
| operatorId | string |
object |
{- "allowedOperators": [
- "string"
], - "createdTime": "2019-08-24T14:15:22Z",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "operatorId": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
}{- "allowedOperators": [
- "string"
], - "createdTime": "2019-08-24T14:15:22Z",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "operatorId": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
}Returns information about the specified LoRaWAN network set.
| ns_id required | string ID of the target LoRaWAN network set. |
{- "allowedOperators": [
- "string"
], - "createdTime": "2019-08-24T14:15:22Z",
- "lastModifiedTime": "2019-08-24T14:15:22Z",
- "networkSetId": "string",
- "operatorId": "string",
- "tags": {
- "property1": "string",
- "property2": "string"
}
[...]
